Package com.sap.ai.sdk.orchestration.model

# Interface Embedding

All Known Implementing Classes:
  `Embedding.ArrayOfFloats`, `Embedding.InnerEmbeddingMultiFormat`, `Embedding.InnerString`

public interface Embedding
Embedding

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `Embedding.ArrayOfFloats`
  Helper class to create `float[]` that implements `Embedding`.
  `static final record`
  `Embedding.InnerEmbeddingMultiFormat`
  Helper class to create `EmbeddingMultiFormat` that implements `Embedding`.
  `static final record`
  `Embedding.InnerString`
  Helper class to create `String` that implements `Embedding`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static Embedding.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static Embedding.ArrayOfFloats`
  `createArrayOfFloats(float[] val)`
  Creator to enable deserialization of `float[]` .
  `static Embedding.InnerEmbeddingMultiFormat`
  `createInnerEmbeddingMultiFormat(EmbeddingMultiFormat val)`
  Creator to enable deserialization of `EmbeddingMultiFormat` .

- ## Method Details

  - ### createArrayOfFloats

    @Nonnull static Embedding.ArrayOfFloats createArrayOfFloats(@Nonnull float[] val)
    Creator to enable deserialization of `float[]` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `Embedding.ArrayOfFloats`.

  - ### create

    @Nonnull static Embedding.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `Embedding.InnerString`.

  - ### createInnerEmbeddingMultiFormat

    @Nonnull static Embedding.InnerEmbeddingMultiFormat createInnerEmbeddingMultiFormat(@Nonnull EmbeddingMultiFormat val)
    Creator to enable deserialization of `EmbeddingMultiFormat` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `Embedding.InnerEmbeddingMultiFormat`.